package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ImageDownLog;


/**
*  service接口类
*/
public interface ImageDownLogService{

    List<ImageDownLog> getImageDownLogList(ImageDownLog record);

    List<ImageDownLog> getImageDownLogByPage(Page page, ImageDownLog record);

    ImageDownLog getImageDownLogById(String id);

    ImageDownLog getImageDownLog(ImageDownLog record);

    boolean createImageDownLog(ImageDownLog record);

    boolean deleteImageDownLog(ImageDownLog record);

    boolean updateImageDownLog(ImageDownLog record);
}

